Audit log for tool calls
GET
/projects/{id}/tools/{toolId}/calls
const url = 'https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tools/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/calls?limit=50';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tools/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/calls?limit=50' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Project UUID
toolId
required
string format: uuid
Tool UUID
Query Parameters
Section titled “Query Parameters ” status
string
limit
integer
Responses
Section titled “ Responses ”Tool call log
Media type application/json
object
calls
required
Array<object>
object
Not authenticated
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number
reconnect
True if re-linking GitHub may fix the issue
boolean